libzypp 17.37.10

zypp::repo::RepoReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::repo::RepoReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const ProgressData &, const RepoInfo)
virtual bool | progress (const ProgressData &)
virtual Action | problem (Repository, Error, const std::string &)
virtual void | finish (Repository, const std::string &, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Deprecated
  Is not sent by zypp.

Definition at line 262 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::repo::RepoReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 264 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::repo::RepoReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |

Definition at line 270 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::repo::RepoReport::start | ( | const ProgressData & | ,
|  | const RepoInfo | )
| inline virtual

Definition at line 277 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::repo::RepoReport::progress | ( | const ProgressData & |  | ) |
| inline virtual

Definition at line 278 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::repo::RepoReport::problem | ( | Repository | ,
|  | Error | ,
|  | const std::string & | )
| inline virtual

Definition at line 281 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::repo::RepoReport::finish | ( | Repository | ,
|  | const std::string & | ,
|  | Error | ,
|  | const std::string & | )
| inline virtual

Definition at line 287 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h